#
# spec file for package sash
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sash
Version:        3.8
Release:        3.3
Summary:        A stand-alone shell with built-in commands
License:        ISC
Group:          System/Shells
Url:            http://www.tip.net.au/~dbell
Source:         http://members.tip.net.au/~dbell/programs/sash-%{version}.tar.gz
Patch0:         sash-Makefile.diff
Patch1:         sash-raid.diff
Patch2:         sash-include.diff
Patch3:         sash-ed-line-marking.diff
BuildRequires:  libext2fs-devel
BuildRequires:  ncurses-devel
BuildRequires:  zlib-devel-static
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package includes:

 -ar, -chattr, -chgrp, -chmod, -chown, -chroot, -cmp,
 -cp, -dd, -echo, -ed, -grep, -file, -find, -gunzip,
 -gzip, -kill, -losetup, -ln, -ls, -lsattr, -mkdir,
 -mknod, -more, -mount, -mv, -pivot_root, -printenv, -pwd,
 -rm, -rmdir, -sum, -sync, -tar, -touch, -umount, -where

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3 -p1

%build
export OPT="%{optflags} -O3"
make %{?_smp_mflags} CC="gcc"

%install
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
/bin/sash
%doc README CHANGES
%doc %{_mandir}/man1/sash.1.gz

%changelog
* Sun Feb 22 2015 meissner@suse.com
- sash-Makefile.diff: use -static to make the PIE detector work.
* Wed Nov 19 2014 pgajdos@suse.com
- updated to 3.8
  * The -ls command has the -n option to print numeric user and
    group ids.
  * The -chroot, -pivot_root, and -losetup commands have been added.
  * The exit status for commands has been implemented (such as -exit).
- deleted patches:
  D    sash-3.7-ed-line-marking.diff (renamed to sash-ed-line-marking.diff)
  D    sash-3.7-ext2_fs-header.diff (upstreamed)
  D    sash-3.7-include.diff (renamed to sash-include.diff)
  D    sash-3.7-install.diff (part of sash-Makefile.diff)
  D    sash-3.7-raid.diff (renamed to sash-raid.diff)
  D    sash-3.7-shared_libc.patch (part of sash-Makefile.diff)
  D    sash-3.7-strip.diff (part of sash-Makefile.diff)
  D    sash-plus-patches-3.7.diff (upstreamed)
* Fri Apr  5 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Wed Jun  6 2012 seife+obs@b1-systems.com
- fix build with linux 3.4 headers, include ext2_fs.h from
  libext2fs-devel, drop sash-3.7-fs.diff and sash-headers.patch
* Wed Mar 28 2012 aj@suse.de
- Provide declaration of umode_t to fix build with Linux 3.3
  kernel headers.
* Wed Mar 28 2012 cfarrell@suse.com
- license update: ISC
  sash license most akin to SPDX recognised ISC license (you are free to
  use, modify, distribute - only requirement is retention of attribution)
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Thu Feb  4 2010 pgajdos@suse.cz
- fixed marking lines in -ed [bnc#576598]
- added sash-plus-patches
  http://freshmeat.net/projects/sash-plus-patches/
* Wed May  6 2009 crrodriguez@suse.de
- while using static libz will work, using static libc wont,
  due to the use of getgrgid, getgrnam, getpwnam and getpwuid.
* Wed Mar 25 2009 crrodriguez@suse.de
- use zlib-devel-static
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Thu Mar 29 2007 rguenther@suse.de
- add ncurses-devel and zlib-devel BuildRequires
* Tue Mar 20 2007 nadvornik@suse.cz
- fix for new kernel headers
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 schwab@suse.de
- User RPM_OPT_FLAGS.
- Don't strip binaries.
* Thu Apr 14 2005 mjancar@suse.cz
- fix for new kernel headers
* Fri May 28 2004 mjancar@suse.cz
- fix broken kernel includes
* Fri Feb 27 2004 mjancar@suse.cz
- update to 3.7
* Thu Feb 26 2004 hmacht@suse.de
- building as non-root
* Fri Nov  8 2002 jderfina@suse.cz
- Added buildroot.
- Upgrade to version 3.6.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Mon Aug 13 2001 snwint@suse.de
- added 'raidautorun' command (RAID_AUTORUN ioctl on /dev/md0)
* Mon Feb 26 2001 pblaha@suse.cz
- add URL
* Wed Feb 16 2000 kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Mon Dec  6 1999 kukuk@suse.de
- Update to version 3.4
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jun 25 1999 kukuk@suse.de
- Update to version 3.3
* Wed Jun  9 1999 kukuk@suse.de
- Update to version 3.2
* Mon May 24 1999 kukuk@suse.de
- Update to version 3.1
* Tue Feb  9 1999 kukuk@suse.de
- initial package: version 2.1
